import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:sport/provider/user_model.dart';

mixin UserId<T extends StatefulWidget> on State<T> {
  String selfId;

  @override
  void initState() {
    super.initState();
    selfId = "${Provider.of<UserModel>(context, listen: false).user.id}";
  }
}
